import Vue from 'vue'

import {
  DatetimePlugin,
  Loading, LoadingPlugin,
  Confirm, ConfirmPlugin,
  Popup,
  Qrcode,
  Scroller, Search,
  Toast, ToastPlugin, TransferDom,
  CheckIcon,Checker,CheckerItem,Checklist,
  XHeader,Swiper,SwiperItem,Tab,TabItem
} from 'vux'

Vue.use(DatetimePlugin)
Vue.component('loading', Loading)
Vue.use(LoadingPlugin)
Vue.component('popup', Popup)
Vue.component('qrcode', Qrcode)
Vue.component('scroller', Scroller)
Vue.component('search', Search)
Vue.component('toast', Toast)
Vue.use(ToastPlugin,{position: 'bottom',type:'text'})
Vue.component('confirm', Confirm)
Vue.use(ConfirmPlugin)
Vue.directive('transferDom', TransferDom)
Vue.component('x-header', XHeader)
Vue.component('check-icon', CheckIcon)
Vue.component('checker', Checker)
Vue.component('checker-item', CheckerItem)
Vue.component('checklist', Checklist)
Vue.component('swiper', Swiper)
Vue.component('swiper-item', SwiperItem)
Vue.component('tab', Tab)
Vue.component('tab-item', TabItem)
